Show / Hide Table of Contents

# Class ColorScheme

Color scheme definitions, they cover some common scenarios and are used typically in containers such as Window and FrameView to set the scheme that is used by all the views contained inside.

##### Inheritance

System.Object
ColorScheme

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ColorScheme

### Properties

#### Disabled

The default color for text, when the view is disabled.

##### Declaration

    public Attribute Disabled { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### Focus

The color for text when the view has the focus.

##### Declaration

    public Attribute Focus { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### HotFocus

The color for the hotkey when the view is focused.

##### Declaration

    public Attribute HotFocus { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### HotNormal

The color for the hotkey when a view is not focused

##### Declaration

    public Attribute HotNormal { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### Normal

The default color for text, when the view is not focused.

##### Declaration

    public Attribute Normal { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |